### Method

# Gck Session get_interaction

#### Declaration [src]

    GTlsInteraction*
    gck_session_get_interaction (
      GckSession* self
    )

#### Description [src]

Get the interaction object set on this session, which is used to prompt for pins and the like.

Gets property | `Gck.Session:interaction`

#### Return value

Returns: | `GTlsInteraction`
| The interaction object, or `NULL`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The return value can be `NULL`.